Skip to main content

GET /seedlisting

GET 

seedlisting

Retrieve all seedlisting inbox placement tests for the current user

Query Parameters​

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

title string
Filter by title substring

profile_id string
Filter by profile ID

show_all boolean
Admin-only. When true, includes the user_email field in each result

Returns

  • dataarray
    • idstring
      Unique identifier of the seedlisting test
    • titlestring
      Name of the seedlisting test
    • profile_idstring
      Profile ID associated with this seedlisting test
    • statusstring
      Current status of the seedlisting test
      Allowed values: INIT, ACTIVE, DONE, FAILED, TERMINATED
    • check_typestring
      Type of seedlisting check to perform, which determines the method of matching incoming emails
      Allowed values: TAG, H_TO, REF, EXPRESS
    • created_atstring
      Timestamp when the seedlisting test was created
    • updated_atstring
      Timestamp when the seedlisting test was last updated
    • tagstring
      Tag identifier used to match incoming emails; present only when check_type is TAG
    • email_ref_addrstring
      Reference email address used for routing; present only when check_type is REF
    • statsobject
      Aggregated delivery statistics for this seedlisting test
      • inboxnumber
        Number of emails delivered to the inbox
      • spamnumber
        Number of emails delivered to the spam or junk folder
      • waitingnumber
        Number of emails pending delivery results
      • not_receivednumber
        Number of emails not received
    • spamassasinobject
      SpamAssassin analysis result shared by this seedlisting test
      • allowednumber
        Maximum allowed spam score threshold
      • evaluationnumber
        Calculated spam score assigned to the email
      • spamboolean
        Indicates whether the email was classified as spam
      • rulesarray
        SpamAssassin rules that matched the email
        • namestring
          Name of the matched SpamAssassin rule
        • descriptionstring
          Description of the matched SpamAssassin rule
        • scorenumber
          Score assigned by the matched SpamAssassin rule
    • auth_resultsobject
      Aggregated SPF, DKIM and DMARC Authentication-Results statistics for seedlisting test emails in this test
      • countnumber
        Total number of seedlisting test emails in this seedlisting test
      • spf_passnumber
        Number of seedlisting test emails with SPF pass in Authentication-Results
      • spf_failnumber
        Number of seedlisting test emails with SPF fail in Authentication-Results
      • dkim_passnumber
        Number of seedlisting test emails with DKIM pass in Authentication-Results
      • dkim_failnumber
        Number of seedlisting test emails with DKIM fail in Authentication-Results
      • dmarc_passnumber
        Number of seedlisting test emails with DMARC pass in Authentication-Results
      • dmarc_failnumber
        Number of seedlisting test emails with DMARC fail in Authentication-Results
    • user_emailstring
      Email of the user that created the seedlisting test, present only if the requester is an ADMIN and show_all=true
  • metaobject
    Pagination metadata for list responses
    • countinteger
      Total number of items available
    • offsetinteger
      Number of items skipped
    • limitinteger
      Maximum number of items returned per request
Error Codes

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error